Skip to main content

ClientAuthenticationMethods Class

Abblix.Oidc.Server

Abblix.Oidc.Server.Common.Constants

ClientAuthenticationMethods Class

This class defines various client authentication methods used in OAuth 2.0.

public static class ClientAuthenticationMethods

Inheritance System.Object → ClientAuthenticationMethods

Fields

ClientAuthenticationMethods.ClientSecretBasic Field

Client authenticates with the authorization server using the client ID and secret via HTTP Basic Authentication.

public const string ClientSecretBasic = "client_secret_basic";

Field Value

System.String

ClientAuthenticationMethods.ClientSecretJwt Field

The client uses a JWT (JSON Web Token) as a client assertion to authenticate.

public const string ClientSecretJwt = "client_secret_jwt";

Field Value

System.String

ClientAuthenticationMethods.ClientSecretPost Field

Similar to ClientSecretBasic, but the client secret is sent in the request body.

public const string ClientSecretPost = "client_secret_post";

Field Value

System.String

ClientAuthenticationMethods.None Field

Indicates that no client authentication is for the OAuth request.

public const string None = "none";

Field Value

System.String

ClientAuthenticationMethods.PrivateKeyJwt Field

Similar to ClientSecretJwt, but it uses a private key to sign the JWT.

public const string PrivateKeyJwt = "private_key_jwt";

Field Value

System.String

ClientAuthenticationMethods.SelfSignedTlsClientAuth Field

Mutual TLS client authentication using a self-signed client certificate and the client's registered JWKS to identify acceptable public keys. RFC 8705.

public const string SelfSignedTlsClientAuth = "self_signed_tls_client_auth";

Field Value

System.String

ClientAuthenticationMethods.TlsClientAuth Field

Mutual TLS client authentication where the client's certificate chain is validated against the AS trust store and matched using client metadata (subject/SAN). RFC 8705.

public const string TlsClientAuth = "tls_client_auth";

Field Value

System.String